var scrollTopMember = 0;
/**
 * メンバーダイアログ表示
 */
function MemberDialogShow (p_title) {

  angular.element("#MemberDialog").dialog({
    modal         : true,
    closeOnEscape : false,
    resizable     : false,
    draggable     : false,
    width         : 300,
    height        : 300,
    show          : "blind",
    hide          : 400,
    title         : p_title,
    buttons       : {
      "閉じる": function () {
        angular.element(this).dialog("close");
      }
    },
    open          : function () {
      $('#MemberDialog').scrollTop(0);
      angular.element("body").css('overflow', 'hidden');
      scrollTopMember = $(window).scrollTop();
      $('body').css({'position':'fixed','top':-scrollTopMember});
      // 内容の高さは表示時にautoに設定する
      $('#MemberDialog').css({'height':'auto'});
    },
    close         : function () {
      angular.element("body").css('overflow', '');
      $('body').css({'position':'static','top':'0'});
      $('html,body').scrollTop(scrollTopMember);
    }
  });

};

/**
 * メンバーダイアログ表示（オーダー登録完了待ち）
 */
function MemberDialogWaitShow (p_title) {

  angular.element("#MemberDialogWait").dialog({
    modal         : true,
    closeOnEscape : false,
    resizable     : false,
    draggable     : false,
    width         : 300,
    height        : 120,
    show          : "blind",
    hide          : 400,
    title         : p_title,
    buttons       : {
      "閉じる": function () {
        angular.element(this).dialog("close");
      }
    },
    open          : function () {
      $('#MemberDialogWait').scrollTop(0);
      angular.element("body").css('overflow', 'hidden');
      scrollTopMember = $(window).scrollTop();
      $('body').css({'position':'fixed','top':-scrollTopMember});
      // 内容の高さは表示時にautoに設定する
      $('#MemberDialogWait').css({'height':'auto'});
    },
    close         : function () {
      angular.element("body").css('overflow', '');
      $('body').css({'position':'static','top':'0'});
      $('html,body').scrollTop(scrollTopMember);
    }
  });

};

/**
 * メンバーダイアログ表示（オーダー登録無し）
 */
function MemberDialogNoOrderShow (p_title) {

  angular.element("#MemberDialogNoOrder").dialog({
    modal         : true,
    closeOnEscape : false,
    resizable     : false,
    draggable     : false,
    width         : 300,
    height        : 120,
    show          : "blind",
    hide          : 400,
    title         : p_title,
    buttons       : {
      "閉じる": function () {
        angular.element(this).dialog("close");
      }
    },
    open          : function () {
      $('#MemberDialogNoOrder').scrollTop(0);
      angular.element("body").css('overflow', 'hidden');
      scrollTopMember = $(window).scrollTop();
      $('body').css({'position':'fixed','top':-scrollTopMember});
      // 内容の高さは表示時にautoに設定する
      $('#MemberDialogNoOrder').css({'height':'auto'});
    },
    close         : function () {
      angular.element("body").css('overflow', '');
      $('body').css({'position':'static','top':'0'});
      $('html,body').scrollTop(scrollTopMember);
    }
  });

};
